Skip to main content

Get all deposit summaries

Beta
GEThttps://api.propexo.com/v1/deposit-summaries/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

resident_id string

The Propexo unique identifier for the resident

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

x_building_id string

The external ID of the building (not necessarily the property) from the integration vendor

x_property_id string

The external ID of the property from the integration vendor

lease_id string

The Propexo unique identifier for the lease

invoice_id string

The Propexo unique identifier for the invoice

refund_is_due object

Whether the refund is due for the deposit summary

invoice_id_not_null object

Filter to only return deposit summaries where the invoice_id is not null

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the deposit summary

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_resident_idstringrequired

    The external ID of the resident from the integration vendor

    x_building_idstring | nullnullablerequired

    The external ID of the building (not necessarily the property) from the integration vendor

    x_invoice_idstring | nullnullablerequired

    The external ID of the invoice from the integration vendor

    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    amount_charged_in_centsnumber | nullnullablerequired

    The amount charged in cents

    Example: 100000
    amount_paid_in_centsnumber | nullnullablerequired

    The amount paid in cents

    Example: 100000
    amount_refunded_in_centsnumber | nullnullablerequired

    The amount refunded in cents

    Example: 100000
    notesstring | nullnullablerequired

    Notes associated with the deposit summary

    refund_amount_due_in_centsnumber | nullnullablerequired

    The refund amount due in cents

    Example: 100000
    custom_data object | nullrequired
    object
    integration_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    invoice_idstring | nullnullablerequired

    The Propexo unique identifier for the invoice

    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    resident_idstringrequired

    The Propexo unique identifier for the resident

    property_idstringrequired

    The Propexo unique identifier for the property

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/deposit-summaries/
curl https://api.propexo.com/v1/deposit-summaries/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_resident_id": "string",
"x_building_id": "string",
"x_invoice_id": "string",
"x_lease_id": "string",
"x_location_id": "string",
"x_unit_id": "string",
"amount_charged_in_cents": 100000,
"amount_paid_in_cents": 100000,
"amount_refunded_in_cents": 100000,
"notes": "string",
"refund_amount_due_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"integration_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"invoice_id": "string",
"lease_id": "string",
"unit_id": "string",
"resident_id": "string",
"property_id": "string"
}
]
}